# $Revision: 1.11 $, $Date: 2002/10/11 19:54:27 $
Summary:	The GNU oSIP library
Summary(pl):	Biblioteka GNU oSIP
Name:		libosip
Version:	0.8.9
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_fixes.patch
Patch1:		%{name}-docbook2man.patch
URL:		http://www.fsf.org/software/osip/osip.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is "the GNU oSIP library" (for Omnibus SIP). It has been designed
to provide the Internet Community a simple way to support the Session
Initiation Protocol. SIP is described in the RFC2543 which is
available at http://www.ietf.org/rfc/rfc2543.txt.

%description -l pl
To jest biblioteka GNU oSIP (Omnibus SIP). Zostaa zaprojektowana, aby
dostarczy Spoecznoci Internetowej prost obsug protokou SIP.
Protok SIP (Session Initiation Protocol) jest opisany w RFC2543.

%package devel
Summary:	The GNU oSIP library - development files
Summary(pl):	Pliki dla programistw uywajcych GNU oSIP
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development files for the GNU oSIP library.

%description devel -l pl
Pliki dla programistw uywajcych biblioteki GNU oSIP.

%package static
Summary:	The GNU oSIP library - static version
Summary(pl):	Statyczna biblioteka GNU oSIP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of the GNU oSIP library.

%description static -l pl
Statyczna wersja biblioteki GNU oSIP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f scripts/missing acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-semaphore \
	--enable-pthread \
	--%{?debug:en}%{!?debug:dis}able-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libosip.spec,v $
Revision 1.11  2002/10/11 19:54:27  ankry
- change lib*.la permissions to 644

Revision 1.10  2002/10/11 13:26:54  ankry
- added patch renaming required docbook tool

Revision 1.9  2002/10/04 13:25:13  kloczek
- regenerate ac/am/lt is back (am_fixes patch added).

Revision 1.8  2002/09/30 08:13:28  blues
- I said - regeneration breaks building, not regeneration itself...

Revision 1.7  2002/09/28 17:49:45  kloczek
- remove acinclude.m4 before regeneration ac/am/lt suit with private libtool.m4
  copy (now regeneration ac/am/lt is possible),
- better %%{debug} support.

Revision 1.6  2002/09/25 14:53:56  blues
- 0.8.9 - license change, URL updated, partialy regeneration turned off
  (was breaking build) - STBR

Revision 1.5  2002/06/30 13:18:54  kloczek
- finished.

Revision 1.4  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.3  2002/04/16 07:58:49  qboosh
- pl descriptions

Revision 1.2  2002/04/15 17:22:00  jajcus
- Version: 0.7.9 (current linphone will not compile with newer)

Revision 1.1  2002/04/15 13:27:52  jajcus
- new spec
